Skip to main content
GET
Get details of a specific charging session

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

userId
string
required

The unique identifier of the user who owns the charging session

sessionId
string
required

The unique identifier of the charging session

Response

Session

Detailed charging session information.

sessionStatus
enum<string>
required

Current lifecycle status of the session.

Available options:
CREATED,
WAITING_TO_START,
STARTED,
WAITING_TO_STOP,
STOPPED,
COMPLETE,
FAILED,
UNKNOWN,
STOP_FAILED
connectorId
string
required

Only available after a session has successfully started.

Example:

"O9UXK+YI5Q6i0FoI4qHwcA=="

sessionId
string
required

Unique identifier of the charging session.

Example:

"AAdmD55q8Vz"

transactions
object[]
required

Transactions linked to this charging session.

balanceStatus
enum<string>

Balance state after applying session costs.

Available options:
PROCESSING,
PAID,
DEBT,
REFUND
charger
object

Charger location and connector metadata.

balanceAmountMinor
number

Type "Long". This field is not relevant for External Clearing (only used when using Plugsurfing's Payment Service Provider). Represents the remaining amount to be paid, expressed as a negative number. A value of 0 indicates the balance is fully paid. -2160 means there is an outstanding amount of 21.60 in the currency of the session.

Example:

"-2160"

chargingKeyType
string

Only available after a session has successfully started. Possible values are "tag", "card", "virtual" or "plug_and_charge".

Example:

"virtual"

duration
string<duration>

The value is in ISO 8601 duration format

Example:

"PT28.913S"

energy
object

Energy consumed during the session.

paymentMethod
enum<string>
deprecated

Returns the paymentMethod of the transaction with the earliest timestamp. This field is DEPRECATED and will be removed in future versions. Use session.transactions[].paymentMethod instead. Migration note: WRITE_OFF was renamed to NONE, where session.transactions[].paymentOutcome=WRITE_OFF is the replacement

Available options:
CREDIT_CARD,
EXTERNAL,
PREPAID,
WRITE_OFF
price
object

Total session price.

receiptAvailable
boolean

Indicates whether a receipt can be downloaded.

site
string

Human-readable charging site name.

Example:

"Drive_API_Test1"

startTime
string<date-time>

UTC timestamp when the session started.

Example:

"2021-01-30T10:00:00.111111111Z"